CREATE TABLE hz_cust_site_uses_all (
    SITE_USE_ID                       NUMBER(18, 0) ,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    SITE_USE_CODE                     VARCHAR2(120)     NOT NULL,
    PRIMARY_FLAG                      VARCHAR2(4)       NOT NULL,
    STATUS                            VARCHAR2(4)       NOT NULL,
    LOCATION                          VARCHAR2(600)     NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    BILL_TO_SITE_USE_ID               NUMBER(18, 0) ,
    ORIG_SYSTEM_REFERENCE             VARCHAR2(960) ,
    SIC_CODE                          VARCHAR2(120) ,
    PAYMENT_TERM_ID                   NUMBER(18, 0) ,
    GSA_INDICATOR                     VARCHAR2(4)   ,
    TERRITORY_ID                      NUMBER(18, 0) ,
    ATTRIBUTE_CATEGORY                VARCHAR2(120) ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    REQUEST_ID                        NUMBER(18, 0) ,
    JOB_DEFINITION_NAME               VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE            VARCHAR2(3600),
    TAX_REFERENCE                     VARCHAR2(200) ,
    SORT_PRIORITY                     NUMBER(5, 0)  ,
    TAX_CODE                          VARCHAR2(200) ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    ATTRIBUTE16                       VARCHAR2(600) ,
    ATTRIBUTE17                       VARCHAR2(600) ,
    ATTRIBUTE18                       VARCHAR2(600) ,
    ATTRIBUTE19                       VARCHAR2(600) ,
    ATTRIBUTE20                       VARCHAR2(600) ,
    ATTRIBUTE21                       VARCHAR2(600) ,
    ATTRIBUTE22                       VARCHAR2(600) ,
    ATTRIBUTE23                       VARCHAR2(600) ,
    ATTRIBUTE24                       VARCHAR2(600) ,
    ATTRIBUTE25                       VARCHAR2(600) ,
    LAST_ACCRUE_CHARGE_DATE           DATE          ,
    SECOND_LAST_ACCRUE_CHARGE_DATE    DATE          ,
    LAST_UNACCRUE_CHARGE_DATE         DATE          ,
    SECOND_LAST_UNACCRUE_CHRG_DATE    DATE          ,
    SET_ID                            NUMBER(18, 0)     NOT NULL,
    TAX_HEADER_LEVEL_FLAG             VARCHAR2(4)   ,
    TAX_ROUNDING_RULE                 VARCHAR2(120) ,
    FINCHRG_RECEIVABLES_TRX_ID        NUMBER(18, 0) ,
    CUST_ACCT_SITE_ID                 NUMBER(18, 0)     NOT NULL,
    TAX_CLASSIFICATION                VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    CREATED_BY_MODULE                 VARCHAR2(120) ,
    CONFLICT_ID                       NUMBER(18, 0)     NOT NULL,
    USER_LAST_UPDATE_DATE             TIMESTAMP(6)  ,
    ATTRIBUTE26                       VARCHAR2(600) ,
    ATTRIBUTE27                       VARCHAR2(600) ,
    ATTRIBUTE28                       VARCHAR2(600) ,
    ATTRIBUTE29                       VARCHAR2(600) ,
    ATTRIBUTE30                       VARCHAR2(1020),
    START_DATE                        DATE          ,
    END_DATE                          DATE          ,
    CPDRF_VER_SOR                     NUMBER(9, 0)  ,
    CPDRF_VER_PILLAR                  NUMBER(9, 0)  ,
    CPDRF_LAST_UPD                    VARCHAR2(60)  ,
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_NUMBER6                 NUMBER        ,
    ATTRIBUTE_NUMBER7                 NUMBER        ,
    ATTRIBUTE_NUMBER8                 NUMBER        ,
    ATTRIBUTE_NUMBER9                 NUMBER        ,
    ATTRIBUTE_NUMBER10                NUMBER        ,
    ATTRIBUTE_NUMBER11                NUMBER        ,
    ATTRIBUTE_NUMBER12                NUMBER        ,
    ATTRIBUTE_DATE1                   DATE          ,
    ATTRIBUTE_DATE2                   DATE          ,
    ATTRIBUTE_DATE3                   DATE          ,
    ATTRIBUTE_DATE4                   DATE          ,
    ATTRIBUTE_DATE5                   DATE          ,
    ATTRIBUTE_DATE6                   DATE          ,
    ATTRIBUTE_DATE7                   DATE          ,
    ATTRIBUTE_DATE8                   DATE          ,
    ATTRIBUTE_DATE9                   DATE          ,
    ATTRIBUTE_DATE10                  DATE          ,
    ATTRIBUTE_DATE11                  DATE          ,
    ATTRIBUTE_DATE12                  DATE          ,
    SITE_USE_ID                       NUMBER(18, 0) ,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    SITE_USE_CODE                     VARCHAR2(120)     NOT NULL,
    PRIMARY_FLAG                      VARCHAR2(4)       NOT NULL,
    STATUS                            VARCHAR2(4)       NOT NULL,
    LOCATION                          VARCHAR2(600)     NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    BILL_TO_SITE_USE_ID               NUMBER(18, 0) ,
    ORIG_SYSTEM_REFERENCE             VARCHAR2(960) ,
    SIC_CODE                          VARCHAR2(120) ,
    PAYMENT_TERM_ID                   NUMBER(18, 0) ,
    GSA_INDICATOR                     VARCHAR2(4)   ,
    TERRITORY_ID                      NUMBER(18, 0) ,
    ATTRIBUTE_CATEGORY                VARCHAR2(120) ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    REQUEST_ID                        NUMBER(18, 0) ,
    JOB_DEFINITION_NAME               VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE            VARCHAR2(3600),
    TAX_REFERENCE                     VARCHAR2(200) ,
    SORT_PRIORITY                     NUMBER(5, 0)  ,
    TAX_CODE                          VARCHAR2(200) ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    ATTRIBUTE16                       VARCHAR2(600) ,
    ATTRIBUTE17                       VARCHAR2(600) ,
    ATTRIBUTE18                       VARCHAR2(600) ,
    ATTRIBUTE19                       VARCHAR2(600) ,
    ATTRIBUTE20                       VARCHAR2(600) ,
    ATTRIBUTE21                       VARCHAR2(600) ,
    ATTRIBUTE22                       VARCHAR2(600) ,
    ATTRIBUTE23                       VARCHAR2(600) ,
    ATTRIBUTE24                       VARCHAR2(600) ,
    ATTRIBUTE25                       VARCHAR2(600) ,
    LAST_ACCRUE_CHARGE_DATE           DATE          ,
    SECOND_LAST_ACCRUE_CHARGE_DATE    DATE          ,
    LAST_UNACCRUE_CHARGE_DATE         DATE          ,
    SECOND_LAST_UNACCRUE_CHRG_DATE    DATE          ,
    SET_ID                            NUMBER(18, 0)     NOT NULL,
    TAX_HEADER_LEVEL_FLAG             VARCHAR2(4)   ,
    TAX_ROUNDING_RULE                 VARCHAR2(120) ,
    FINCHRG_RECEIVABLES_TRX_ID        NUMBER(18, 0) ,
    CUST_ACCT_SITE_ID                 NUMBER(18, 0)     NOT NULL,
    TAX_CLASSIFICATION                VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    CREATED_BY_MODULE                 VARCHAR2(120) ,
    CONFLICT_ID                       NUMBER(18, 0)     NOT NULL,
    USER_LAST_UPDATE_DATE             TIMESTAMP(6)  ,
    ATTRIBUTE26                       VARCHAR2(600) ,
    ATTRIBUTE27                       VARCHAR2(600) ,
    ATTRIBUTE28                       VARCHAR2(600) ,
    ATTRIBUTE29                       VARCHAR2(600) ,
    ATTRIBUTE30                       VARCHAR2(1020),
    START_DATE                        DATE          ,
    END_DATE                          DATE          ,
    CPDRF_VER_SOR                     NUMBER(9, 0)  ,
    CPDRF_VER_PILLAR                  NUMBER(9, 0)  ,
    CPDRF_LAST_UPD                    VARCHAR2(60)  ,
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_NUMBER6                 NUMBER        ,
    ATTRIBUTE_NUMBER7                 NUMBER        ,
    ATTRIBUTE_NUMBER8                 NUMBER        ,
    ATTRIBUTE_NUMBER9                 NUMBER        ,
    ATTRIBUTE_NUMBER10                NUMBER        ,
    ATTRIBUTE_NUMBER11                NUMBER        ,
    ATTRIBUTE_NUMBER12                NUMBER        ,
    ATTRIBUTE_DATE1                   DATE          ,
    ATTRIBUTE_DATE2                   DATE          ,
    ATTRIBUTE_DATE3                   DATE          ,
    ATTRIBUTE_DATE4                   DATE          ,
    ATTRIBUTE_DATE5                   DATE          ,
    ATTRIBUTE_DATE6                   DATE          ,
    ATTRIBUTE_DATE7                   DATE          ,
    ATTRIBUTE_DATE8                   DATE          ,
    ATTRIBUTE_DATE9                   DATE          ,
    ATTRIBUTE_DATE10                  DATE          ,
    ATTRIBUTE_DATE11                  DATE          ,
    ATTRIBUTE_DATE12                  DATE          ,
    CONSTRAINT pk_hz_cust_site_uses_all PRIMARY KEY (SITE_USE_ID, SITE_USE_ID)
);
